Subject: Re: bug in gcc3.3.1
From: "Max Bowsher" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 4 Dec 2003 13:47:32 -0000

[email-masked] wrote:
> what was the reason for dropping the support?
> ( I have to now fix few lines of code!!)

I don't know. The answer is probably somewhere in the gcc mail archives.
Anyway, this is no longer a Cygwin question, so somewhat off-topic here.

Max.

>
> thanx for the quick response
>> [email-masked] wrote:
>>> hello:
>>>
>>> I found conssitent bug in gcc3.3.1
>>>
>>> gcc2xx will compile the fiollwowing with no problem
>>>
>>> printf (" ......
>>>          xxx ", ..)
>>>
>>> where the format  "......
>>>          xxx " includes a new line character.
>>>
>>> gcc3.3 will nto compile this and looks like it will allow an explicit
new
>>> line inside.
>>>
>>> has anybody else noticed this?
>>
>> It's not a bug.
>>
>> Multi line string literals have been deprecated in gcc 3.0, 3.1 and 3.2.
>> Support was finally removed in 3.3.
>>
>> Max.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/